<?php
loadcontroller('base/module');

class ControllerModuleLoginRedeSociais extends ControllerBaseModule
{

  protected $referencePathFile = 'module/loginredesociais';

  public function index($settings = [])
  {

    $this->dataVue['typeStatus'] = Type_Status::getEnumList();

    /*links de ajuda para configuração do login com rede social*/
    $this->language->load('linksajuda/linksajuda');
    $this->dataVue['link_help_facebook_obs'] = sprintf($this->language->get('link_menu_ajuda'), $this->language->get('link_help_facebook'));
    $this->dataVue['link_help_google_obs']   = sprintf($this->language->get('link_menu_ajuda'), $this->language->get('link_help_google'));

    parent::index();
  }


  protected function validate()
  {
    $this->load->type('tipocomum');
    extract($this->request->post);

    $errors = $this->validate->execute([
      'loginredesociais_facebook_id' => [
        'value' => $loginredesociais_facebook_id ?? '',
        'validates' => ['isEmpty'],
        'condition' => $loginredesociais_facebook_status
      ],
      'loginredesociais_google_id' => [
        'value' => $loginredesociais_google_id ?? '',
        'validates' => ['isEmpty'],
        'condition' => $loginredesociais_google_status
      ]
    ]);

    return $errors;
  }

}
